Partially update a metric annotation
PATCH
/v1/metricannotation/{id}/
const url = 'https://example.com/v1/metricannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","end_time":"2026-04-15T12:00:00Z","feedback_is_true_positive":true,"metric":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","outage":true,"start_time":"2026-04-15T12:00:00Z","title":"example","type":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/metricannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "end_time": "2026-04-15T12:00:00Z", "feedback_is_true_positive": true, "metric": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "type": 1 }'Update one or more fields of an existing metric annotation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this metric annotation.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
string format: uuid
description
string
end_time
string format: date-time
feedback_author
string format: uuid
feedback_at
string format: date-time
feedback_is_true_positive
boolean
id
string format: uuid
metric
string format: uuid
outage
boolean
start_time
string format: date-time
title
string
type
1- User defined2- Anomaly prediction
integer
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
string format: uuid
description
string
end_time
string format: date-time
feedback_author
string format: uuid
feedback_at
string format: date-time
feedback_is_true_positive
boolean
id
string format: uuid
metric
string format: uuid
outage
boolean
start_time
string format: date-time
title
string
type
1- User defined2- Anomaly prediction
integer
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
description
string
end_time
string format: date-time
feedback_author
required
string format: uuid
feedback_at
required
string format: date-time
feedback_is_true_positive
boolean
id
required
string format: uuid
metric
required
string format: uuid
outage
boolean
start_time
string format: date-time
title
required
string
type
required
1- User defined2- Anomaly prediction
integer
Example
{ "type": 1}